Name: mozilla-prefs
License: GPL
Group: Applications/Internet
Summary: Provides firefox / thunderbird customized site settings
Version: 0.5
Release: 3%{?dist}
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
BuildRoot: %{_tmppath}/%{name}-%{version}-build
AutoReqProv: No

Source0: %{name}-0.5.tar.gz

%description
This package ships additional CERN site preferences for Mozilla Firefox (10 or newer)
and Mozilla Thunderbird (10 or newer) products.


%files
%{_libdir}/thunderbird/defaults/pref/cern-prefs.js
%{_libdir}/thunderbird/cern-prefs.cfg
%{_libdir}/firefox/defaults/preferences/cern-prefs.js
%{_libdir}/firefox/browser/searchplugins/cernsearch.xml
%{_libdir}/firefox/browser/searchplugins/cernindico.xml
%{_libdir}/firefox/browser/searchplugins/cerncds.xml

%prep

%setup

%build

%install


install -d $RPM_BUILD_ROOT/%{_libdir}/thunderbird/defaults/pref/
install -d $RPM_BUILD_ROOT/%{_libdir}/firefox/defaults/preferences/
install -d $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/searchplugins/
install firefox-cern-prefs.js $RPM_BUILD_ROOT/%{_libdir}/firefox/defaults/preferences/cern-prefs.js --context=system_u:object_r:lib_t:s0
install thunderbird-cern-prefs.js $RPM_BUILD_ROOT/%{_libdir}/thunderbird/defaults/pref/cern-prefs.js --context=system_u:object_r:lib_t:s0
install thunderbird-cern-prefs.cfg $RPM_BUILD_ROOT/%{_libdir}/thunderbird/cern-prefs.cfg --context=system_u:object_r:lib_t:s0
install firefox-cernsearch.xml $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/searchplugins/cernsearch.xml --context=system_u:object_r:lib_t:s0
install firefox-cernindico.xml $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/searchplugins/cernindico.xml --context=system_u:object_r:lib_t:s0
install firefox-cerncds.xml $RPM_BUILD_ROOT/%{_libdir}/firefox/browser/searchplugins/cerncds.xml --context=system_u:object_r:lib_t:s0


%changelog
* Mon Sep 21 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.5-1
- moved searchengines plugins to new directory

* Tue Dec  4 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.4-1
- Added xldap as address book / autocomplete server

* Fri Nov 16 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.3-1
- Added CERN CDS search engine to firefox

* Wed Mar 7 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.2.1
- CERN search icon better visible

* Wed Mar 7 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.2
- added CERNsearch and CERN INDICO search engines to firefox.

* Wed Feb 29 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.1
- initial release.

